get
https://myORGbaseurl.lightning.force.com/services/apexrest/FieloPLT/v1/members//segments
Available in R1 2023 and later
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Fields query param
The following table describes the default fields returned for each related Segment.
| Value | Description | Data type |
|---|---|---|
| Id | Id of the related Segment. | String |
| Name | Name of the related Segment. | String |
| RecordType.Name | Segments can be one of three types:
| String |
| FieloPLT__OnlineProcessing__c | When true, segment membership is calculated on-the-fly whenever segmented content is accessed. | Boolean |
| FieloPLT__RecordBased__c | When true, segment membership is stored on the database, either on the FieloPLT__RelatedSegments__c field of the Member object, or in Member Segment records. | Boolean |
You can add any field of the Segment object to the fields query param.
Sample Response
The response to a call with default params will look something like this:
[ "segs":
{ "Id": "xxxxxxxxxxxxx",
"Name": "xx",
"RecordType.Name": "Dynamic",
"FieloPLT__OnlineProcessing__c": true,
"FieloPLT__RecordBased__c": false
},
{ "Id": "yyyyyyyyyyyyy",
"Name": "yy",
"RecordType.Name": "Dynamic",
"FieloPLT__OnlineProcessing__c": false,
"FieloPLT__RecordBased__c": true
}
]